package com.tocean.app;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 功能描述：
 */
@EnableAsync
@EnableScheduling
@SpringBootApplication
@MapperScan("com.tocean.app.mapper")
public class Application {

    public static void main(String[] args) {
        System.setProperty("hibernate.dialect.storage_engine","innodb"); // 这个是hibernate的坑。只能在这里设置默认的jpa的ddl的引擎
        SpringApplication.run(Application.class, args);
    }

}
