package com.tocean.app.controller.request;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("关卡实体请求类")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_level")
public class LevelGetListRequest {

    @ApiModelProperty("关卡名称")
    private String name;

    @ApiModelProperty("是否删除")
    private Boolean isDel;
}
