package com.tocean.app.controller.request.datadict;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("系统-数据字典新增||更新[dto]")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class DataDictOperateDto {

    @ApiModelProperty("对象标识")
    private String id;

    @ApiModelProperty("父级标识")
    private String parentId;

    @ApiModelProperty("字典唯一标识")
    private String dictKey;

    @ApiModelProperty("字典编码")
    private String code;

    @ApiModelProperty("字典值")
    private String value;

    @ApiModelProperty("扩展参数")
    private String attr;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("备注")
    private String remarks;

}
