package com.tocean.app.controller.request.datadict;

import com.tocean.app.controller.request.LevelGetListRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("系统-数据字典查询[dto]")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class DataDictSearchDto extends LevelGetListRequest {

    @ApiModelProperty("字典唯一标识")
    private String dictKey;

    @ApiModelProperty("字典编码")
    private String code;

    @ApiModelProperty("是否删除（true:删除，false:未删除）")
    private Boolean isDel;

}
