package com.tocean.app.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("题目实体")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_level_timu")
@Builder
public class LevelTimu {

    @ApiModelProperty("关卡id")
    @TableField(value = "level_id")
    private String levelId;

    @ApiModelProperty("题目id")
    @TableField(value = "timu_id")
    @TableId(type = IdType.AUTO)
    private String timuId;

    @ApiModelProperty("题目内容")
    @TableField(value = "content")
    private String content;

    @ApiModelProperty("答案")
    @TableField(value = "answer")
    private String answer;

    @ApiModelProperty("答案解析")
    @TableField(value = "analysis")
    private String analysis;

}
