package com.tocean.app.entity.sys;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tocean.app.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/8/7 13:55
 */
@ApiModel("账号登录日志")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName(value = "t_sys_account_sign_in_log")
public class AccountSignInLog extends BaseEntity {

    @ApiModelProperty("账号id")
    @NotEmpty
    @TableField(value = "account_id")
    private String accountId;

    /**
     * 登录方式 第三方/邮箱/手机等
     * 登录ip
     * PC/移动端 UA
     */

}
