package com.tocean.app.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tocean.app.controller.request.LevelGetListRequest;
import com.tocean.app.controller.request.LevelTimuRequest;
import com.tocean.app.entity.Level;
import com.tocean.app.entity.LevelTimu;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface LevelTimuMapper extends BaseMapper<LevelTimu> {
    IPage<LevelTimu> page(Page<?> page, @Param("request") LevelTimuRequest levelTimuRequest);

    LevelTimu getTmInfo(String id);
}
