package com.tocean.app.constant;

import lombok.Getter;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/24 12:36
 */
public class AccountConstant {

    @Getter
    public enum State {
        INIT("初始化"), NORMAL("正常"), DISABLE("禁用");

        private String desc;

        State(String desc) {
            this.desc = desc;
        }
    }

    @Getter
    public enum SignInType {
        ACCOUNT_PASSWORD("账号-密码"),
        MOBILE_NUMBER_PASSWORD("手机号-密码"),
        MOBILE_NUMBER_SMS("手机号-短信验证码");

        private String name;

        SignInType(String name) {
            this.name = name;
        }
    }

    @Getter
    public enum IdentityType {
        ACCOUNT_PASSWORD("账号密码"),
        MOBILE_NUMBER("手机号"),
        EMAIL("邮箱"),
        WEIXIN_UNIONID("微信-unionId"),
        WEIXIN_H5_OPENID("微信公众号h5-openId"),
        WEIXIN_MINI_PROGRAM_OPENID("微信小程序-openId");

        private String name;

        IdentityType(String name) {
            this.name = name;
        }
    }

}
