package com.tocean.app.controller.admin;

import com.tocean.app.dto.response.BaseResponse;
import com.tocean.app.service.sys.AccountInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 功能描述：
 * https://www.jianshu.com/p/cf9ad8c3621d
 */
@Api(description = "账号")
@Slf4j
@RestController("AdminAccountController")
@RequestMapping("/admin/account")
public class AccountController {

    @Autowired
    private AccountInfoService accountInfoService;

    /**
     * 功能描述：获取部门下拉列表[tree]
     *
     * @return
     */
    @ApiOperation(value = "test接口")
    @PostMapping("/account")
    public BaseResponse<Object> deptTree() {
        return BaseResponse.success();
    }

}
