package com.tocean.app.dto.request;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/5/14 23:58
 */
@ApiModel(value = "BaseRequest", description = "请求协议")
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class BaseRequest<T> implements Serializable {

    private static final long serialVersionUID = -992717648810995148L;

    @ApiModelProperty(value = "API调用的业务参数", notes = "API调用的业务参数", required = false, hidden = false)
    private T data;

}
