package com.tocean.app.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel("登录测试")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName(value = "student")
public class Student {
    @ApiModelProperty("id")
    @TableField(value = "id")
    private String id;

    @ApiModelProperty("名字")
    @TableField(value = "name")
    private String Name;

    @ApiModelProperty("密码")
    @TableField(value = "password")
    private String password;
}
