package com.tocean.app.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tocean.app.controller.request.LevelGetListRequest;
import com.tocean.app.controller.request.datadict.DataDictSearchDto;
import com.tocean.app.entity.Level;
import com.tocean.app.entity.common.DataDict;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface LevelMapper extends BaseMapper<Level> {

    IPage<Level> page(Page<?> page, @Param("request") LevelGetListRequest levelGetListRequest);

    Level getGqInfo(String id);

    int addGq(Level level);

    int updateGq(Level level);
}
