package com.tocean.app.mapper.common;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tocean.app.controller.request.datadict.DataDictSearchDto;
import com.tocean.app.entity.common.DataDict;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface DataDictMapper extends BaseMapper<DataDict> {

    IPage<DataDict> getList(Page<?> page, @Param("dd") DataDictSearchDto dataDictSearchDto);


}
